package com.ss.android.ugc.aweme.kids.liked;

import X.Lnj;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.kids.liked.api.IFavoriteService;
import com.ss.android.ugc.aweme.kids.liked.favorite.FavoriteFragment;

public final class FavoriteServiceImpl implements IFavoriteService {
    static {
        Covode.recordClassIndex(89767);
    }

    public final Fragment LIZ() {
        return new FavoriteFragment();
    }

    public static IFavoriteService LIZIZ() {
        MethodCollector.i(13521);
        IFavoriteService iFavoriteService = (IFavoriteService) Lnj.LIZ(IFavoriteService.class, false);
        if (iFavoriteService != null) {
            MethodCollector.o(13521);
            return iFavoriteService;
        }
        Object LIZIZ = Lnj.LIZIZ(IFavoriteService.class, false);
        if (LIZIZ != null) {
            IFavoriteService iFavoriteService2 = (IFavoriteService) LIZIZ;
            MethodCollector.o(13521);
            return iFavoriteService2;
        }
        if (Lnj.LLLLLLLZIL == null) {
            synchronized (IFavoriteService.class) {
                try {
                    if (Lnj.LLLLLLLZIL == null) {
                        Lnj.LLLLLLLZIL = new FavoriteServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(13521);
                    throw th;
                }
            }
        }
        FavoriteServiceImpl favoriteServiceImpl = (FavoriteServiceImpl) Lnj.LLLLLLLZIL;
        MethodCollector.o(13521);
        return favoriteServiceImpl;
    }
}
